Subject: Re: linux-next: manual merge of the tip tree with Linus' tree

From: Ingo Molnar <[email-masked]>
Date: Wed, 21 May 2014 08:01:00 +0200

* H. Peter Anvin <[email-masked]> wrote:

> On 05/20/2014 09:12 PM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the tip tree got a conflict in 
> > arch/x86/kernel/ldt.c between commit fa81511bb0bb ("x86-64,
> > modify_ldt: Make support for 16-bit segments a runtime option")
> > from Linus' tree and commit 34273f41d57e ("x86, espfix: Make it
> > possible to disable 16-bit support") from the tip tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary (no
> > action is required).
> > 
> 
> This (and the previous one) is not the correct fix, although it will
> work.  The correct fix is instead to completely revert fa81511bb0bb
> before merging in tip:x86/espfix.
> 
> Sorry for the inconvenience.  Linus generally doesn't like it when we
> fix up merges for him, or I'd set up a "clean" tip:x86/espfix branch.

Please merge x86/urgent into x86/vdso while memories are still fresh - 
fixing up conflicts between our own branches is entirely fine (I'm 
doing it all the time to help the development flow) and it will make 
life easier.

What Linus dislikes most are merges between completely _unrelated_ 
topic branches, especially if they cross maintenance domains.

Thanks,

	Ingo